Package twisted :: Package web :: Module static

[frames | no frames]

## Module twisted.web.static

I deal with static resources.

Classes
`ASISProcessor` |
`Data` | This is a static, in-memory resource.
`File` | File is a resource that represents a plain non-interpreted file (although it can look for an extension like .rpy or .cgi and hand the file to a processor for interpretation if you wish).
`FileTransfer` | A class to represent the transfer of a file over the network.
`Redirect` |
`Registry` | I am a Componentized object that will be made available to internal Twisted file-based dynamic web content such as .rpy and .epy scripts.

Function Summary
| `addSlash(request)`
| `getTypeAndEncoding(filename, types, encodings, defaultType)`
| `isDangerous(path)`
| ``loadMimeTypes`(mimetype_locations)` Multiple file locations containing mime-types can be passed as a list.

Variable Summary
`NoResource` | `dangerousPathError` = `<twisted.web.error.NoResource insta...`

Function Details

### loadMimeTypes(mimetype_locations=['/etc/mime.types'])

Multiple file locations containing mime-types can be passed as a list. The files will be sourced in that order, overriding mime-types from the files sourced beforehand, but only if a new entry explicitly overrides the current entry.

Variable Details

### dangerousPathError

  Type:
    `NoResource`
  Value:

        <twisted.web.error.NoResource instance at 0x85492c4>

Generated by Epydoc 2.0 on Sat May 15 20:08:29 2004 | http://epydoc.sf.net